export type StyleFunction = (str: string) => string;
export type Styles = {
    keyword?: StyleFunction;
    capitalized?: StyleFunction;
    jsxIdentifier?: StyleFunction;
    punctuator?: StyleFunction;
    number?: StyleFunction;
    string?: StyleFunction;
    regex?: StyleFunction;
    comment?: StyleFunction;
    invalid?: StyleFunction;
};
/**
 * Highlight `code` using the token-to-style-function object `styles`.
 */
export default function highlight(code: string, styles?: Styles): string;
